<?php
// Custom Post Types

/*function post_type_dedication() {

    register_post_type('dedication', array(
        'labels' => array(
            'name' => __('Dedications', 'gp_lang'),
            'singular_name' => __('Dedication', 'gp_lang'),
            'all_items' => __('All Dedications', 'gp_lang'),
            'add_new_item' => __('Add New Dedication', 'gp_lang'),
            'edit_item' => __('Edit Dedication', 'gp_lang'),
            'new_item' => __('New Dedication', 'gp_lang'),
            'view_item' => __('View Dedication', 'gp_lang'),
            'search_items' => __('Search Dedications', 'gp_lang'),
            'menu_name' => __('Dedications', 'gp_lang')
        ),
        'public' => true,
        'exclude_from_search' => false,
        'show_ui' => true,
        'show_in_nav_menus' => false,
        '_builtin' => false,
        '_edit_link' => 'post.php?post=%d',
        'capability_type' => 'post',
        'hierarchical' => false,
        'rewrite' => array("slug" => "dedication"),
        'menu_position' => 20,
        'with_front' => true,
        'supports' => array('title', 'thumbnail', 'author', 'custom-fields')
    ));

    add_filter("manage_edit-dedication_columns", "dedication_edit_columns");
    add_action("manage_posts_custom_column", "dedication_custom_columns");

    function dedication_edit_columns($columns) {
        $columns = array(
            "cb" => "<input type=\"checkbox\" />",
            "title" => __('Title', 'gp_lang'),
            "author" => __('Author', 'gp_lang'),
            "dedication_url" => __('Video URL', 'gp_lang'),
            "dedication_image" => __('Image', 'gp_lang'),
            "date" => __('Date', 'gp_lang')
        );

        return $columns;
    }

    function dedication_custom_columns($column) {
        global $post;
        require(ghostpool_inc . 'options.php');
        switch ($column) {
            case "dedication_url":
                echo get_post_meta($post->ID, 'ghostpool_dedication_url', true);
                break;
            case "dedication_image":
                if (has_post_thumbnail()) {
                    $image = vt_resize(get_post_thumbnail_id(), '', 50, 50, true);
                    echo '<img src="' . $image[url] . '" width="' . $image[width] . '" alt="" />';
                }

                break;
        }
    }

}

add_action('init', 'post_type_dedication');*/

?>